[ripple/rippled] Simplify strHex: (#2668)

our CI builds for gcc use devtoolset 7: https://github.com/ripple/rippled/blob/develop/Jenkinsfile#L557 …which means gcc 7.3.1 — BUT, that doesn’t mean it’s the min gcc we should support (that should probably be determined by distros we want to target). Latest changes look good to me.